org.apache.xpath.functions

## Class FuncTrue

- java.lang.Object
- - org.apache.xpath.Expression
  - - org.apache.xpath.functions.Function
    - - org.apache.xpath.functions.FuncTrue

- All Implemented Interfaces:
    java.io.Serializable, SourceLocator, ExpressionNode, XPathVisitable

      public class FuncTrue
      extends Function

  Execute the True() function.
  See Also:
    Serialized Form
  Usage:
    **For advanced use only**

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FuncTrue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XObject` | `execute(XPathContext xctxt)` Execute the function.
    `void` | `fixupVariables(java.util.Vector vars, int globalsSize)` No arguments to process, so this does nothing.

    - ### Methods inherited from class org.apache.xpath.functions.Function

      `callArgVisitors, callVisitors, checkNumberArgs, deepEquals, postCompileStep, setArg`

    - ### Methods inherited from class org.apache.xpath.Expression

      `asIterator, asIteratorRaw, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FuncTrue

          public FuncTrue()

  - ### Method Detail

    - #### execute

          public XObject execute(XPathContext xctxt)
                          throws TransformerException

      Execute the function. The function must return a valid object.
      Overrides:
        `execute` in class `Function`
      Parameters:
        `xctxt` - The current execution context.
      Returns:
        A valid XObject.
      Throws:
        `TransformerException`

    - #### fixupVariables

          public void fixupVariables(java.util.Vector vars,
                            int globalsSize)

      No arguments to process, so this does nothing.
      Specified by:
        `fixupVariables` in class `Expression`
      Parameters:
        `vars` - List of QNames that correspond to variables. This list should be searched backwards for the first qualified name that corresponds to the variable reference qname. The position of the QName in the vector from the start of the vector will be its position in the stack frame (but variables above the globalsTop value will need to be offset to the current stack frame). NEEDSDOC @param globalsSize

Copyright © 2014 Apache XML Project. All Rights Reserved.